Subject: Re: bug#43506: 26.1; line-height sometimes has no effect on the line height

From: Markus Triska <[email-masked]>
Date: Sat, 19 Sep 2020 13:43:53 +0200

Eli Zaretskii <[email-masked]> writes:

> The value t is not a valid value for the line-height property.  So you
> are invoking "unspecified behavior" here by using it.

This is very surprising to read, because the documentation itself states:

        If the property value is ‘t’, the newline character has no effect on
    the displayed height of the line—the visible contents alone determine   
    the height.

Is it indeed true that t is not a valid value for the line-height property?

In one of my applications, I am using the t property to ensure that
adding a newline does not increase the line height in any way, and I
would prefer if this behaviour is retained also in future Emacs versions.

> The limitations are documented; what happens when you use invalid
> values isn't (and doesn't have to be).

What is documented seems to contradict what I observe, and also what the
documentation itself states in other places.

All the best,
Markus